### Method

# Ide Buffer set_style_scheme_name

#### Declaration

    void
    ide_buffer_set_style_scheme_name (
      IdeBuffer* self,
      const gchar* style_scheme_name
    )

#### Description

Sets the `IdeBuffer:style-scheme` property by locating the style scheme matching `style_scheme_name`.

Available since: | 3.32

Sets property | `Ide.Buffer:style-scheme-name`

#### Parameters

`style_scheme_name` | `const gchar*`
| String containing the style scheme’s name.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.